View Issue Details

IDProjectCategoryView StatusLast Update
0005488libextractorlibextractor main librarypublic2019-02-14 10:30
ReporterbeberkingAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformOSLinuxOS Version
Product Version1.8 
Target Version1.9Fixed in Version1.9 
Summary0005488: Libextractor exports private symbols that are not declared in extractor.h
DescriptionHi,

Libextractor currently exports private symbols that are not declared in extractor.h. In addition, all plugins exports symbols, while they do not provide public header.

Please find attached the list of all exported symbols, which is way longer than extractor.h.

Exporting only chosen symbols can be done with libtool's -export-symbols and -export-symbols-regex options, or you can use the same trick as in libmicrohttpd (_MHD_EXTERN).

Cheers,
Bertrand
TagsNo tags attached.

Activities

beberking

2018-11-27 14:31

developer  

libextractor3.symbols (5,109 bytes)

Christian Grothoff

2018-12-02 00:53

manager   ~0013379

Well, the plugins _must_ export those symbols, otherwise dlsym wouldn't work. So that one is expected and fine. But you are right, we should use the MHD-trick and avoid exporting the symbols from the main library.

Christian Grothoff

2018-12-02 12:09

manager   ~0013380

Fixed in 48a2376..fff0675

Issue History

Date Modified Username Field Change
2018-11-27 14:31 beberking New Issue
2018-11-27 14:31 beberking File Added: libextractor3.symbols
2018-12-02 00:53 Christian Grothoff Note Added: 0013379
2018-12-02 00:53 Christian Grothoff Assigned To => Christian Grothoff
2018-12-02 00:53 Christian Grothoff Status new => assigned
2018-12-02 00:53 Christian Grothoff Target Version => 1.9
2018-12-02 12:09 Christian Grothoff Note Added: 0013380
2018-12-02 12:09 Christian Grothoff Status assigned => resolved
2018-12-02 12:09 Christian Grothoff Resolution open => fixed
2018-12-02 12:09 Christian Grothoff Fixed in Version => 1.9
2019-02-14 10:30 Christian Grothoff Status resolved => closed